package com.ruoyi.basic.service;

import java.util.List;
import com.ruoyi.basic.domain.HwLanguage;

/**
 * 语言信息Service接口
 * 
 * @author xins
 * @date 2023-08-24
 */
public interface IHwLanguageService 
{
    /**
     * 查询语言信息
     * 
     * @param languageId 语言信息主键
     * @return 语言信息
     */
    public HwLanguage selectHwLanguageByLanguageId(Long languageId);

    /**
     * 查询语言信息列表
     * 
     * @param hwLanguage 语言信息
     * @return 语言信息集合
     */
    public List<HwLanguage> selectHwLanguageList(HwLanguage hwLanguage);

    /**
     * 新增语言信息
     * 
     * @param hwLanguage 语言信息
     * @return 结果
     */
    public int insertHwLanguage(HwLanguage hwLanguage);

    /**
     * 修改语言信息
     * 
     * @param hwLanguage 语言信息
     * @return 结果
     */
    public int updateHwLanguage(HwLanguage hwLanguage);

    /**
     * 批量删除语言信息
     * 
     * @param languageIds 需要删除的语言信息主键集合
     * @return 结果
     */
    public int deleteHwLanguageByLanguageIds(Long[] languageIds);

    /**
     * 删除语言信息信息
     * 
     * @param languageId 语言信息主键
     * @return 结果
     */
    public int deleteHwLanguageByLanguageId(Long languageId);
}
